#ifndef TIMER_H
#define TIMER_H

class Timer
{
public:
    Timer();
    void start();
    void stop();
    void print();

    long get_elapsed() { return m_elapsed; }

protected:
    long m_start_time;
    long m_elapsed;
};

#endif
